Changeset 0308356


Ignore:
Timestamp:
04/10/2019 03:51:13 AM (3 years ago)
Author:
Douglas R. Reno <renodr@…>
Branches:
10.0, 10.1, 11.0, 9.0, 9.1, ken/refactor-virt, lazarus, qt5new, trunk, upgradedb, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
5c115c8
Parents:
bd57f160
Message:

Add patch to glib-networking to fix breakage caused by GnuTLS API additions

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@21449 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
2 edited

Legend:

Unmodified
Added
Removed
  • introduction/welcome/changelog.xml

    rbd57f160 r0308356  
    4545      <para>April 9th, 2019</para>
    4646      <itemizedlist>
     47        <listitem>
     48          <para>[renodr] - Adapt glib-networking to API changes introduced
     49          in GnuTLS-3.6.7. Fixes
     50          <ulink url="&blfs-ticket-root;11929">#11929</ulink>.</para>
     51        </listitem>
    4752        <listitem>
    4853          <para>[renodr] - Update to libsoup-2.66.1. Part of
  • networking/netlibs/glib-networking.xml

    rbd57f160 r0308356  
    7373    </itemizedlist>
    7474
     75    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     76    <itemizedlist spacing="compact">
     77      <listitem>
     78        <para>
     79          Required patch:
     80          <ulink url="&patch-root;/glib-networking-&glib-networking-version;-upstream_fixes-1.patch"/>
     81        </para>
     82      </listitem>
     83    </itemizedlist>
     84
    7585    <bridgehead renderas="sect3">GLib Networking Dependencies</bridgehead>
    7686
     
    105115    to use the GnuTLS backend on Linux, we will continue using the GnuTLS
    106116    backend and not mention the OpenSSL backend to prevent confusion. -->
     117
     118    <para>
     119      First, apply a patch to fix a problem introduced by API changes in GnuTLS:
     120    </para>
     121
     122<screen><userinput remap="pre">patch -Np1 -i ../glib-networking-&glib-networking-version;-upstream_fixes-1.patch</userinput></screen>
     123
    107124    <para>
    108125      Install <application>GLib Networking</application> by running the following
     
    122139
    123140    <!-- glib-networking/#70 -->
     141    <!-- The patch fixes this problem, and the connection-gnutls failure was
     142    indicative of a complete failure of the GnuTLS backend to use certificates.
     143    This broke WebKit and libsoup, and has since been patched. -->
     144    <!--
    124145    <para>
    125146      The test <emphasis>connection-gnutls</emphasis> is known to fail.
    126147    </para>
     148    -->
    127149
    128150    <para>
Note: See TracChangeset for help on using the changeset viewer.